# Risotto
Initialiazation method for dynamical isometry in ResNets

This repository contains the code to run experiment on Risotto, a new method for initializing Resnets with ReLU activations and achieve exact dynamical isometry

All code is implemented in PyTorch (1.12)
We compare our method to Fixup(https://arxiv.org/abs/1901.09321) and SkipInit(https://proceedings.neurips.cc/paper/2020/file/e6b738eca0e6792ba8a9cbcba6c1881d-Paper.pdf) 
We also implement NF ResNets as described in https://arxiv.org/abs/2101.08692 .

All code can be run in the following format:

```
python3 main.py --seed 1 --dataset cifar10 --scheduler cosine --model resnet --epochs 200 --lr 0.1 --batch-size 256 --init-method ortho-block-alpha --result-dir cifar-resnet-risotto

```
